#
# Conditional build:
%bcond_with	webcam	# build with webcam barcode recognition
#
%define		qt_ver	5.4.0
Summary:	A collection manager
Summary(pl.UTF-8):	Zarządca zbiorów wideo, audio i książek
Name:		tellico
Version:	3.1.1
Release:	4
License:	GPL v3
Group:		X11/Applications
Source0:	http://tellico-project.org/files/%{name}-%{version}.tar.xz
# Source0-md5:	8c503a21b12d5bfc62f55b287855fa6e
URL:		http://tellico-project.org/
BuildRequires:	Qt5Core-devel >= %{qt_ver}
BuildRequires:	Qt5DBus-devel >= %{qt_ver}
BuildRequires:	Qt5Network-devel >= %{qt_ver}
BuildRequires:	Qt5Test-devel >= %{qt_ver}
BuildRequires:	Qt5Widgets-devel >= %{qt_ver}
BuildRequires:	Qt5Xml-devel >= %{qt_ver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	exempi-devel
BuildRequires:	kf5-extra-cmake-modules >= 5.19
BuildRequires:	kf5-karchive-devel
BuildRequires:	kf5-kcodecs-devel
BuildRequires:	kf5-kconfig-devel
BuildRequires:	kf5-kconfigwidgets-devel
BuildRequires:	kf5-kcoreaddons-devel
BuildRequires:	kf5-kcrash-devel
BuildRequires:	kf5-kdoctools-devel
BuildRequires:	kf5-kguiaddons-devel
BuildRequires:	kf5-khtml-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kiconthemes-devel
BuildRequires:	kf5-kitemmodels-devel
BuildRequires:	kf5-kjobwidgets-devel
BuildRequires:	kf5-kio-devel
BuildRequires:	kf5-kwallet-devel
BuildRequires:	kf5-kwidgetsaddons-devel
BuildRequires:	kf5-kwindowsystem-devel
BuildRequires:	kf5-kxmlgui-devel
BuildRequires:	kf5-solid-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxml2-progs
BuildRequires:	libxslt-devel >= 1.0.19
BuildRequires:	poppler-qt5-devel
BuildRequires:	qimageblitz-devel
BuildRequires:	qjson-devel
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	shared-desktop-ontologies-devel
BuildRequires:	soprano-devel
BuildRequires:	taglib-devel
BuildRequires:	yaz-devel
Requires:	Qt5Core >= %{qt_ver}
Requires:	Qt5DBus >= %{qt_ver}
Requires:	Qt5Network >= %{qt_ver}
Requires:	Qt5Widgets >= %{qt_ver}
Requires:	Qt5Xml >= %{qt_ver}
Requires:	desktop-file-utils
Requires:	libxslt >= 1.0.19
Obsoletes:	bookcase
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tellico is a personal catalog application for your book, video and
audio collection.

%description -l pl.UTF-8
Tellico to osobista aplikacja katalogowa przeznaczona do
księgozbiorów, archiwów wideo i audio.

%prep
%setup -q

%build
%cmake . \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	%{cmake_on_off webcam ENABLE_WEBCAM}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir} \
	kde_libs_htmldir=%{_kdedocdir}

rm -r $RPM_BUILD_ROOT%{_docdir}

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_mime_database

%postun
%update_desktop_database_postun
%update_mime_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
/etc/xdg/tellicorc
/etc/xdg/tellico-script.knsrc
/etc/xdg/tellico-template.knsrc
%{_datadir}/kconf_update/%{name}-rename.upd
%{_datadir}/kconf_update/tellico.upd
%{_datadir}/kconf_update/tellico-1-3-update.pl
%{_datadir}/%{name}
%{_datadir}/config.kcfg/tellico_config.kcfg
%{_datadir}/mime/packages/*.xml
%{_datadir}/kxmlgui5/tellico
%{_datadir}/metainfo/org.kde.tellico.appdata.xml
%{_desktopdir}/org.kde.tellico.desktop
%{_iconsdir}/*/*/*/*.png
%changelog
* Sat May 25 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tellico.git;a=log;h=master

* Sat May 25 2019 Jan Rękorajski <baggins@pld-linux.org> 4e52f26
- release 4 (by relup.sh)

* Fri Apr 19 2019 Adam Gołębiowski <adamg@pld-linux.org> 28b16d6
- release 3, rebuild against libcdio 2.1.0

* Fri Apr 19 2019 Adam Gołębiowski <adamg@pld-linux.org> 238b61e
- make webcam bcond do something

* Sat Mar 24 2018 Jan Rękorajski <baggins@pld-linux.org> 82d06eb
- rebuild with libcdio 2.0.0
- release 2 (by relup.sh)

* Wed Feb 14 2018 Jan Palus <atler@pld-linux.org> cd4f716
- up to 3.1.1

* Sat Nov 09 2013 Jan Rękorajski <baggins@pld-linux.org> dda969f
- remove debugging leftover
- rel 2

* Fri Nov 08 2013 Jan Rękorajski <baggins@pld-linux.org> 3d5dde5
- updated to 2.3.8
- fixed build with split kdemultimedia

* Thu Jun 28 2012 Łukasz Kieś <kiesiu@pld-linux.org> 84fed6a
- updated BRs; rel. 1

* Mon Jan 16 2012 Zsolt Udvari <uzsolt@pld-linux.org> 3fcb4eb
- 2.3.5
- does not build - cmake error

* Mon Sep 26 2011 Zsolt Udvari <uzsolt@pld-linux.org> 5f5bb4e
- 2.3.4

* Mon Apr 11 2011 Zsolt Udvari <uzsolt@pld-linux.org> cbf0d27
- 2.3.3

* Sun Feb 06 2011 Zsolt Udvari <uzsolt@pld-linux.org> b5a2097
- rel 1 (works for me)
- change url and source0

* Tue Dec 14 2010 Zsolt Udvari <uzsolt@pld-linux.org> 1a0bc91
- 2.3.2
- qimageblitz-devel BR

* Fri Aug 13 2010 Zsolt Udvari <uzsolt@pld-linux.org> c25ebbd
- 2.3
- more BR

* Sun May 30 2010 Zsolt Udvari <uzsolt@pld-linux.org> 55037c1
- no longer needed

* Sun May 30 2010 Zsolt Udvari <uzsolt@pld-linux.org> 4a6613a
- 2.2
- cmake
- small fixes

* Tue Nov 03 2009 Elan Ruusamäe <glen@pld-linux.org> 2cf4764
- add gcc44.patch; rel 2 (thx patrys)

* Fri Mar 06 2009 duddits <duddits@pld-linux.org> 4974d4e
- up to 1.3.5

* Thu Jan 29 2009 Jakub Bogusz <qboosh@pld-linux.org> b2006ae
- automake still used (cp), libtool not

* Mon Jan 26 2009 Elan Ruusamäe <glen@pld-linux.org> 50c0475
- drop auto* regen (broken and not needed)

